import { select, csv, csvFormat } from 'd3';

const kilobytes = data =>
  Math.ceil(csvFormat(data).length / 1000);

const body = select('body');

csv('https://gist.githubusercontent.com/LakshmanRangisetti/bb25a69715379df42c7001887ba82ffc/raw/10de185b845a84f28f1bfb9a29bc9b625e7e1822/gistfile1.txt')
  .then(data => {
    
    body
      .append('pre')
        .text('First 10 rows:');

    body
      .append('pre')
        .text(JSON.stringify(data.slice(0, 10), null, 2));
  });
